# Get an asset **GET /eTech/rest/ws/referentials/v1/assets/code:{assetCode}** Return the asset object if the `assetCode` exists. Rate limit range : High ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **assetCode** (string) Requested asset code, case insensitive. ## Responses ### 200 Asset found successfully. #### Body: application/json (object) - **assetCode** (string) Asset code. Case insensitive. - **label** (string) Asset label. It can be the name but it can also be an identifier (barCode, QRCode or NFC) used for asset search purpose. - **customerCode** (string) Related customer code. Case insensitive. - **siteCode** (string) Related site code. Case insensitive. - **assetTypeCode** (string) Asset type code. Case insensitive. - **officeCode** (string) Code of the asset. Case insensitive. - **parentAssetCode** (string) Parent asset code (if hierarchical structure). Case insensitive. - **description** (string | null) Asset description if any. - **commissioning** (object) Commissioning details of the asset. If absent, status defaults to ACTIVE and startDate to null. - **customFields** (object) Map of custom fields of an asset. - **lastUpdate** (string(date-time)) Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API. ### 400 Bad Request - validation errors. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 404 Asset not found. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)